### Class

# Nautilus Column

#### Description [src]

    final class Nautilus.Column : GObject.Object {
      /* No available fields */
    }

List view column descriptor object.

`NautilusColumn` is an object that describes a column in the file manager list view. Extensions can provide `NautilusColumn` by registering a `NautilusColumnProvider` and returning them from `nautilus_column_provider_get_columns()`, which will be called by the main application when creating a view.

#### Ancestors

- GObject

#### Constructors

###### nautilus_column_new

Creates a new `NautilusColumn` object.

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Nautilus.Column:attribute

The file attribute to be displayed in the column.

###### Nautilus.Column:attribute-q

No description available.

###### Nautilus.Column:default-sort-order

Actually meant to store the enum values of GtkSortType, but we don’t want extensions to depend on GTK. Also, this is for internal consumption only.

###### Nautilus.Column:description

The user-visible description of the column.

###### Nautilus.Column:label

The label to display in the column.

###### Nautilus.Column:name

The identifier for the column.

###### Nautilus.Column:visible

Whether to show the NautilusColumn in a ColumnChooser. This is not meant to be used by extensions. The value may be changed over the life of the NautilusColumn.

###### Nautilus.Column:xalign

The x-alignment of the column.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct NautilusColumnClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.